MINOVA DEMO - Bug #2014

Training Management - Training Data
02/20/2023 05:03 PM - Fiona Avangeline Jonathan

Status: Closed

Priority: Urgent

Assignee: Fiona Avangeline Jonathan
Category:

Target version:

Start date:

Due date:

% Done:
0%
Description
Mba Yomma,

Mohon dibantu di menu Training Data, bagian tab cost jika ditambahkan data, tab2 setelahnya tidak bisa muncul field2 nya lagi.

Berikut screenshot saat tab cost belum ditambahkan datanya
History

#1 - 03/07/2023 04:21 PM - Tri
- File costpattern.js added

- File clipboard-202303071621-s54as.png added

- Status changed from Assigned to Developing

Fixing :

Rizqiaty

Updata folder UNapp\controller\orm\ctriCustom\training : costpattern.js
http://demo.minovais.com:61124/
success: function (response) {
var dt = results.data’
for(var i = 0; i<dt.length; i++)

=] {

e I |

=l

total = parseFloat(dt[i].Total)

var cur = dt[i].Currency;

var strSum = gridSum.store;

var idx = strSum.findExact('Currency’,
if(idx == 0)

= {

e I |

=l

o

recsum.data.Amount = totalCost;

- 1

else

tn

overView.reload()

=]

e }r
= afterrenderCostPattern: function() {
var me = this;
var results = Ext.decode (response.responseText)

cur) ;

var overView = Ext.StoreMgr.loockup("=storePHROMOO33™) ;

console.log(idx) ;

var recsum = strSum.findRecord('Currency', ocur)
totalCost = total + parseFleoat(recsum.data.imount) ;

f/gridSum.view.refresh(): // comment by Tri nwh 20230307

= {
% strBum.add({
Currency: cur,

8 Amount: total
8 I 1y
0 ffgridSum.view.refresh(); // comment by Tri nwh 20230307
1 - }
2 - 1
3 - 1
4 - by

1 var onl = Ext.ComnonentCuerv.dguerv(' [name=FanelCrmMdDetaill ")} I01:
#2 - 03/07/2023 04:21 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to Fiona Avangeline Jonathan
#3 - 03/08/2023 09:54 AM - Fiona Avangeline Jonathan
- File clipboard-202303080954-y7q2q.png added
- Status changed from QA Test to Closed
Done, terima kasih.
